[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateDIBitmap

Creates a Device Dependent Bitmap (DDB) from a Device Independent Bitmap (DIB).

## Declaration

Source position: winapih.inc line 54

`public function TWidgetSet.CreateDIBitmap(`
`DC: HDC;`
`var InfoHeader: TBitmapInfoHeader;`
`dwUsage: DWORD;`
`InitBits: PChar;`
`var InitInfo: TBitmapInfo;`
`wUsage: UINT`
`):HBITMAP; virtual;`

## Arguments

`DC` |  | The context for the DDB.
`InitBits` |  | An array containing the bitmap pixels.
`InitInfo` |  | CBM_INIT when InitBits contains valid data, else zero.

## Function result

The bitmap handle, zero on failure.